<?php
// this doSQL script is called from the addedit.php script
// its purpose is to use the CTimesheet class to interoperate with the database (store, edit, delete)

/* the following variables can be retreived via POST from timesheet/addedit.php:
** int timesheet_id	is '0' if a new database object has to be stored or the id of an existing quote that should be overwritten or deleted in the db
** int timesheet_period	the period of the timesheet that should be stored
** int del		bool flag, in case of presence the row with the given timesheet_id has to be dropped from db
*/

// create a new instance of the timesheet class
$obj = new CTimesheet();
$msg = '';	// reset the message string

// bind the informations (variables) retrieved via post to the timesheet object
if (!$obj->bind( $_POST )) {
	$AppUI->setMsg( $obj->getError(), UI_MSG_ERROR );
	$AppUI->redirect();
}

// detect if a deleete operation has to be processed
$period = dPgetParam($_POST, 'period', 0);
$stat = dPgetParam($_POST, 'stat', 0);
$del = dPgetParam($_POST, 'del', 0);

$obj->timesheet_id = $_POST["timesheet_id"];
$obj->timesheet_status = $_POST["timesheet_status"];
$obj->timesheet_period = $_POST["timesheet_period"];
$obj->timesheet_date = $_POST["timesheet_date"];
$obj->timesheet_creator = $_POST["timesheet_creator"];
$obj->timesheet_worked = $_POST["timesheet_worked"];

$AppUI->setMsg( 'Timesheet' );
if ($del) {
	// check if there are dependencies on this object
	if (!$obj->canDelete( $msg )) {
		$AppUI->setMsg( $msg, UI_MSG_ERROR );
		$AppUI->redirect();
	}
	// see how easy it is to run database commands with the object oriented architecture !
	// simply delete a quote from db and have detailed error or success report
	if ($msg = $obj->delete()) {
		$AppUI->setMsg( $msg, UI_MSG_ERROR );
		$AppUI->redirect();
	} else {
		$AppUI->setMsg( "Timesheet deleted", UI_MSG_ALERT);
		$AppUI->redirect( "m=timesheet" );
	}
} 
else if ($stat) {
	if ($msg = $obj->change_status($obj->timesheet_status)) {
		$AppUI->setMsg( $msg, UI_MSG_ERROR );
		$AppUI->redirect();
	} else {
		$AppUI->setMsg( "Timesheet status updated", UI_MSG_ALERT);
		$AppUI->redirect( "m=timesheet&a=addedit&timesheet_id=".$obj->timesheet_id );
	}
}
else if ($period) {
	if ($msg = $obj->change_period($obj->timesheet_period)) {
		$AppUI->setMsg( $msg, UI_MSG_ERROR );
		$AppUI->redirect();
	} else {
		$AppUI->setMsg( "Timesheet period changed", UI_MSG_ALERT);
		$AppUI->redirect( "m=timesheet&a=addedit&timesheet_id=".$obj->timesheet_id );
	}
}
else {
	// simply store the added/edited quote in database via the store method of the timesheet 
	// child class of the CDpObject provided ba the dPFramework
	if (($msg = $obj->store())) {
		$AppUI->setMsg( $msg, UI_MSG_ERROR );
	} else {
		$isNotNew = @$_POST['timesheet_id'];
		$AppUI->setMsg( $isNotNew ? 'Timesheet updated' : 'Timesheet inserted', UI_MSG_OK);
	}
        $AppUI->redirect("m=timesheet" );
}
?>
