<?php 
// this is the index site for our timesheet module
// it is automatically appended on the applications main ./index.php
// by the dPframework

// we check for permissions on this module
$canRead = !getDenyRead( $m );	// retrieve module-based readPermission bool flag
$canEdit = !getDenyEdit( $m );	// retrieve module-based writePermission bool flag

// lock out users that do not have at least readPermission on this module
if (!$canRead) {
	$AppUI->redirect( "m=public&a=access_denied" );
}
//save the workplace state (have a footprint on this site)
$AppUI->savePlace();

// retrieve any state parameters (temporary session variables that are not stored in db)

// saves the current tab box state
if (isset( $_GET['tab'] )) {
	$AppUI->setState( 'TimesheetIdxTab', $_GET['tab'] );
}
$tab = $AppUI->getState( 'TimesheetIdxTab' ) !== NULL ? $AppUI->getState( 'TimesheetIdxTab' ) : 0;
$active = intval( !$AppUI->getState( 'TimesheetIdxTab' ) );

// we prepare the User Interface Design with the dPFramework

// setup the title block with Name, Icon and Help
$titleBlock = new CTitleBlock( 'Timesheet', 'timesheet.png', $m, "$m.$a" );
$titleBlock->addCell();

// adding the 'add'-Button if user has writePermissions
if ($canEdit) {
	$titleBlock->addCell(
		'<input type="submit" class="button" value="'.$AppUI->_('new timesheet').'">', '',
		'<form action="?m=timesheet&a=addedit" method="post">', '</form>'
	);
}
$titleBlock->show();

// now prepare and show the tabbed information boxes with the dPFramework

// The Period default for the timesheets (month,week)
// $period = $AppUI->getPref('TIMESHEET_PERIOD');

// build new tab box object
$tabBox = new CTabBox( "?m=timesheet", dPgetConfig('root_dir') . "/modules/timesheet/", $tab ); 
$tabBox->add( 'vw_idx_timesheets', 'All timesheets' );
$tabBox->add( 'vw_idx_open', 'Open timesheets' );
$tabBox->add( 'vw_idx_submitted', 'Submitted timesheets' );
$tabBox->add( 'vw_idx_approved', 'Approved timesheets' );
$tabBox->show();

?>
